NameNotFoundException (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.cache.query, class: NameNotFoundException

Package org.apache.geode.cache.query

# Class NameNotFoundException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.apache.geode.GemFireCheckedException
org.apache.geode.cache.query.QueryException
org.apache.geode.cache.query.NameResolutionException
org.apache.geode.cache.query.NameNotFoundException

All Implemented Interfaces:
  `Serializable`

public class NameNotFoundException extends NameResolutionException
Thrown when an attribute or method name could not be resolved during query execution because no matching method or field could be found.

Since:
  GemFire 4.0
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NameNotFoundException(String message)`
  Constructs instance of ObjectNameNotFoundException with error message
  `NameNotFoundException(String message, Throwable cause)`
  Constructs instance of ObjectNameNotFoundException with error message and cause

- ## Method Summary

  ### Methods inherited from class org.apache.geode.GemFireCheckedException

  `getRootCause`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### NameNotFoundException

    public NameNotFoundException(String message)
    Constructs instance of ObjectNameNotFoundException with error message
    Parameters:
      `message` - the error message

  - ### NameNotFoundException

    public NameNotFoundException(String message, Throwable cause)
    Constructs instance of ObjectNameNotFoundException with error message and cause
    Parameters:
      `message` - the error message
      `cause` - a Throwable that is a cause of this exception